%define _textlibdir /usr/share/mlmmj/text.skel

Summary: Mailserver-independent ezmlm-like mailing list manager
Name: mlmmj
Version: 1.2.12
Release: 1%{?dist}
License: MIT
Group: Applications/Internet
Source: http://mlmmj.mmj.dk/files/mlmmj-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: smtpdaemon
URL: http://mlmmj.mmj.dk/

%description
mlmmj (Mailing List Managing Made Joyful) is a mailing list manager
intended to mimic the functionality of the ezmlm-idx mailing list
manager often used with Prof. Dan Bernstein's qmail, but with an open
license and mailserver indepdendence.

%prep

%setup

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall textlibdir=%{buildroot}%{_textlibdir}
mkdir -p %{buildroot}/var/spool/mlmmj

# Remove execute bits from Perl programs to stop RPM from picking
# up dependencies we don't really want.

find contrib/ -type f -name *.pl | xargs chmod -x
find contrib/ -type f -name *.cgi | xargs chmod -x

%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc AUTHORS ChangeLog COPYING README* FAQ TODO TUNABLES UPGRADE contrib
%{_bindir}/mlmmj-*
%{_datadir}/mlmmj/
%dir /var/spool/mlmmj
%{_mandir}/man1/mlmmj-*

%changelog
* Mon Nov 27 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.12-1
- New upstream release

* Tue Jan 24 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.11-1
- New upstream release (Fixes for address handling).

* Wed Jan 18 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.10-1
- New upstream release. All users should upgrade.

* Thu Dec 15 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.9-1
- New upstream release

* Tue Jun 21 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.8-1
- New upstream release

* Thu May 26 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.7-4
- Bump for rebuild

* Sat May 21 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.7-3
- Remove superflous LICENSE from docs (same as COPYING)
- Minor cleanup

* Fri May 13 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.7-2
- Fix changelog (remove superfluous entries too) and bump

* Fri May 13 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.7-1
- Upstream release 1.2.7 (minor fixes)

* Tue May 10 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.6.1-3
- Add contributed web scripts

* Tue May 10 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.6.1-2
- bump

* Mon May 9 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.6.1-1
- 1.2.6.1

* Mon May 9 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.6-1
- 1.2.6
- Dropped moderation race patch (merged upstream)

* Fri May 6 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.5-3
- Upstream patch included fixing a potential race condition on
  moderation.
  
* Fri May 6 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.5-2
- Description updated
- Install macros returned to sane defaults
- Small spec cleanups
- Thanks to Michael Schwendt for pointing these out.

- Dropped listtexts patch (applied upstream)
* Thu May 5 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.5-1
- 1.2.5
- Dropped listtexts patch (applied upstream)

* Sat Apr 9 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.2.4-4
- Special build for Fedora Extras
- Added upstream patch for addresses without a @domain
- Excluded contrib (just some web frontends) to avoid a perl dependency

